#
# spec file for package ulp-macros
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ulp-macros
VCS: https://src.suse.de/SLFO-pool/ulp-macros#fd5d12dd2c3020fa4539feb83369e491fb4e4c57be00571ef46b7b82f5e82515
Version:        1.0
Release:        160000.1.4
Summary:        Macros for enabling Userspace Live Patching into processes
URL:            https://github.com/SUSE/libpulp
License:        LGPL-2.1-or-later
Group:          Development
Source1:        ulp.macros
BuildArch:      noarch

%description
This package contain macros for enabling Userspace Live Patching into packages

%prep

%build

%install
install -D -m 0644 %{S:1}   %{buildroot}%{_rpmmacrodir}/macros.ulp

%files
%{_rpmmacrodir}/macros.ulp

%check

%changelog
* Mon Jul 22 2024 giuliano.belinassi@suse.com
- Fix FIXME and warnings.
* Wed Jun 14 2023 giuliano.belinassi@suse.com
- First release.
